_alpm_event_hook_run_t(3)

NAME
_alpm_event_hook_run_t

SYNOPSIS

  Data Fields
alpm_event_type_t type
Type of event.
const char * name
Name of hook.
const char * desc
Description of hook to be outputted.
size_t position
position of hook being run
size_t total
total hooks being run

Field Documentation

  const char* _alpm_event_hook_run_t::desc

Description of hook to be outputted.

  const char* _alpm_event_hook_run_t::name

Name of hook.

  size_t _alpm_event_hook_run_t::position

position of hook being run

  size_t _alpm_event_hook_run_t::total

total hooks being run

  alpm_event_type_t _alpm_event_hook_run_t::type

Type of event.

Author

Generated automatically by Doxygen for libalpm from the source code.